# Uses of Class
org.apache.sling.resourceresolver.impl.mapping.MapConfigurationProvider.VanityPathConfig

Packages that use MapConfigurationProvider.VanityPathConfig
Package
Description
org.apache.sling.resourceresolver.impl.mapping

## Uses of MapConfigurationProvider.VanityPathConfig in org.apache.sling.resourceresolver.impl.mapping

Methods in org.apache.sling.resourceresolver.impl.mapping that return types with arguments of type MapConfigurationProvider.VanityPathConfig
Modifier and Type
Method
Description
`List<MapConfigurationProvider.VanityPathConfig>`
MapConfigurationProvider.`getVanityPathConfig()`
A list of allow and deny list prefixes all ending with a slash.
Methods in org.apache.sling.resourceresolver.impl.mapping with parameters of type MapConfigurationProvider.VanityPathConfig
Modifier and Type
Method
Description
`int`
MapConfigurationProvider.VanityPathConfig.`compareTo(MapConfigurationProvider.VanityPathConfig o2)`